# This file created by conda-build 25.5.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Tue Sep  9 17:20:16 2025
# ------------------------------------------------

package:
  name: fribidi
  version: 1.0.16
source:
  url: https://github.com/fribidi/fribidi/releases/download/v1.0.16/fribidi-1.0.16.tar.xz
  sha256: 1b1cde5b235d40479e91be2f0e88a309e3214c8ab470ec8a2744d82a5a9ea05c
build:
  number: '0'
  run_exports:
    - fribidi >=1.0.16,<2.0a0
  string: hb03c661_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.44 h4bf12b8_1
    - binutils_linux-64 2.44 h4852527_1
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2025.8.3 hbd8a1cb_0
    - gcc_impl_linux-64 14.3.0 hd9e9e21_5
    - gcc_linux-64 14.3.0 h1382650_11
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - ld_impl_linux-64 2.44 h1423503_1
    - libexpat 2.7.1 hecca717_0
    - libffi 3.4.6 h2dba641_1
    - libgcc 15.1.0 h767d61c_5
    - libgcc-devel_linux-64 14.3.0 h85bb3a7_105
    - libgcc-ng 15.1.0 h69a702a_5
    - libgomp 15.1.0 h767d61c_5
    - liblzma 5.8.1 hb9d3cd8_2
    - libmpdec 4.0.0 hb9d3cd8_0
    - libsanitizer 14.3.0 hd08acf3_5
    - libsqlite 3.50.4 h0c1763c_0
    - libstdcxx 15.1.0 h8f9b012_5
    - libuuid 2.41.1 he9a06e4_0
    - libzlib 1.3.1 hb9d3cd8_2
    - meson 1.9.0 pyhcf101f3_0
    - ncurses 6.5 h2d0b736_3
    - ninja 1.13.1 h171cf75_0
    - openssl 3.5.2 h26f9b46_0
    - python 3.13.7 h2b335a9_100_cp313
    - python_abi 3.13 8_cp313
    - readline 8.2 h8c095d6_2
    - sysroot_linux-64 2.17 h0157908_18
    - tk 8.6.13 noxft_hd72426e_102
    - tzdata 2025b h78e105d_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - libgcc 15.1.0 h767d61c_5
    - libgomp 15.1.0 h767d61c_5
  run:
    - __glibc >=2.17,<3.0.a0
    - libgcc >=14
test:
  commands:
    - fribidi -h
about:
  home: https://github.com/fribidi/fribidi
  license: LGPL-2.1-or-later
  license_file: COPYING
  summary: The Free Implementation of the Unicode Bidirectional Algorithm.
  description: 'One of the missing links stopping the penetration of free software
    in Middle

    East is the lack of support for the Arabic and Hebrew alphabets. In order to

    have proper Arabic and Hebrew support, the bidi algorithm needs to be

    implemented. It is our hope that this library will stimulate more free

    software in the Middle Eastern countries.

    '
  doc_url: https://github.com/fribidi/fribidi
  dev_url: https://github.com/fribidi/fribidi
extra:
  recipe-maintainers:
    - h-vetinari
    - mariusvniekerk
    - msarahan
  final: true
  copy_test_source_files: true
  flow_run_id: azure_20250909.7.1
  remote_url: https://github.com/conda-forge/fribidi-feedstock
  sha: 831f6043c3092017c1ae3380a0f9d620eebaa8e2
